> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List associated parties

> List all associated parties for a business user's compliance profile. Cursor-paginated.



## OpenAPI

````yaml https://production.hifi.com/api/v3/openapi.json get /v3/users/{userId}/compliance/associated-parties
openapi: 3.0.0
info:
  title: Hifi API
  version: 3.0.0
  description: API documentation for HIFI
servers:
  - url: https://production.hifi.com
    description: Production server
  - url: https://sandbox.hifi.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Counter Party
    description: Counter party endpoints
  - name: Crypto Transfer
    description: Crypto transfer and batch transfer endpoints
  - name: Wallet
    description: Wallet and wallet offer endpoints
  - name: External Account
    description: External bank account endpoints (under a counter party)
  - name: External Wallet
    description: External wallet endpoints (under a counter party)
  - name: External Card
    description: External card endpoints (under a counter party)
  - name: Token Swap
    description: Token swap endpoints
  - name: Bridge
    description: Bridge endpoints
  - name: Virtual Account
    description: Virtual account endpoints
  - name: Compliance
    description: Compliance and compliance link endpoints
  - name: Webhook Endpoint
    description: Webhook endpoint endpoints
  - name: File
    description: File upload endpoints
  - name: Onramp
    description: Onramp (fiat to crypto) endpoints
  - name: Offramp
    description: Offramp (crypto to fiat) endpoints
  - name: Orchestration Address
    description: Orchestration (liquidation) address endpoints
  - name: KYC Link
    description: Hosted and custom KYC/KYB link endpoints
  - name: Transfer Approval
    description: Transfer approval endpoints
  - name: Corridor
    description: Supported fiat/crypto transfer corridor endpoints
  - name: Migration
    description: v2-to-v3 ID mapping endpoints
paths:
  /v3/users/{userId}/compliance/associated-parties:
    get:
      tags:
        - Compliance
      summary: List associated parties
      description: >-
        List all associated parties for a business user's compliance profile.
        Cursor-paginated.
      operationId: v3ListAssociatedParties
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/LimitParameter'
        - $ref: '#/components/parameters/StartingAfterParameter'
        - $ref: '#/components/parameters/EndingBeforeParameter'
      responses:
        '200':
          $ref: '#/components/responses/ComplianceListAssociatedPartiesResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
        pattern: ^user_[A-Za-z0-9]+$
      description: ID of the user.
      required: true
    LimitParameter:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
      description: default to 10, maximum to 100
      required: false
    StartingAfterParameter:
      name: startingAfter
      in: query
      schema:
        type: string
      description: Return records after this cursor.
      required: false
    EndingBeforeParameter:
      name: endingBefore
      in: query
      schema:
        type: string
      description: Return records before this cursor.
      required: false
  responses:
    ComplianceListAssociatedPartiesResponse:
      description: A list of associated parties.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ComplianceAssociatedPartyList'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NotFound'
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    ComplianceAssociatedPartyList:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ComplianceAssociatedParty'
        pagination:
          $ref: '#/components/schemas/Pagination'
    Unauthorized:
      type: object
      properties:
        type:
          type: string
          description: Unauthorized enum
          example: UNAUTHORIZED
        message:
          type: string
          description: Unauthorized message
          example: Authentication required
    NotFound:
      type: object
      properties:
        type:
          type: string
          example: RESOURCE_NOT_FOUND
          description: The error type, e.g., RESOURCE_NOT_FOUND
        message:
          type: string
          description: A descriptive error message
        fields:
          type: array
          description: List of specific field errors
          items:
            type: object
            properties:
              code:
                type: string
                description: Error code related to the field issue
              message:
                type: string
                description: Error message for the specific issue
              field:
                type: string
                description: The name of the field that has an issue
    InternalServerError:
      type: object
      properties:
        type:
          type: string
          example: INTERNAL_SERVER_ERROR
          description: Internal server error enum
        message:
          type: string
          example: An internal server error occurred
          description: Internal server error message
    ComplianceAssociatedParty:
      type: object
      properties:
        roles:
          minItems: 1
          type: array
          items:
            type: string
        businessTitle:
          type: string
          pattern: ^[\x20-\x7E\n]*$
        firstName:
          type: string
          pattern: ^[\x20-\x7E\n]*$
        middleName:
          type: string
          pattern: ^[\x20-\x7E\n]*$
        lastName:
          type: string
          pattern: ^[\x20-\x7E\n]*$
        nationality:
          type: string
          minLength: 3
          maxLength: 3
        email:
          type: string
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        phoneNumber:
          type: string
          minLength: 6
          maxLength: 15
          pattern: ^\d+$
        physicalAddress:
          type: object
          properties:
            addressLine1:
              type: string
              pattern: ^[\x20-\x7E\n]*$
            addressLine2:
              type: string
              pattern: ^[\x20-\x7E\n]*$
            city:
              type: string
              pattern: ^[\x20-\x7E\n]*$
            stateProvinceRegion:
              type: string
              maxLength: 10
              pattern: ^[\x20-\x7E\n]*$
            postalCode:
              type: string
              pattern: ^[\x20-\x7E\n]*$
            country:
              type: string
              minLength: 3
              maxLength: 3
          required:
            - addressLine1
            - city
            - stateProvinceRegion
            - postalCode
            - country
          additionalProperties: false
        dateOfBirth:
          type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        gender:
          type: string
        taxId:
          type: string
        taxIdType:
          type: string
        taxIdCountry:
          type: string
          minLength: 3
          maxLength: 3
        relationshipEstablishedAt:
          type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
        shareProportion:
          type: number
          minimum: 0
          maximum: 100
      required:
        - roles
      additionalProperties: false
    Pagination:
      type: object
      properties:
        hasMore:
          type: boolean
        startCursor:
          type: string
          nullable: true
        endCursor:
          type: string
          nullable: true
      required:
        - hasMore
        - startCursor
        - endCursor
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````